net.sourceforge.pmd.typeresolution

## Class PMDASMClassLoaderTest

- java.lang.Object
- - net.sourceforge.pmd.typeresolution.PMDASMClassLoaderTest

-     public class PMDASMClassLoaderTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PMDASMClassLoaderTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `static junit.framework.Test` | `suite()`
    `void` | `testCachingMemoryConsumption()` With this test you can verify, how much memory could be consumed by the dontBother cache.
    `void` | `testCachingOfNotFoundClasses()` Unit test for bug 3546093.
    `void` | `testClassWithImportInnerOnDemand()`
    `void` | `testLoadClassWithImportOnDemand()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PMDASMClassLoaderTest

          public PMDASMClassLoaderTest()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### testLoadClassWithImportOnDemand

          public void testLoadClassWithImportOnDemand()
                                               throws Exception

      Throws:
        `Exception`

    - #### testClassWithImportInnerOnDemand

          public void testClassWithImportInnerOnDemand()
                                                throws Exception

      Throws:
        `Exception`

    - #### testCachingOfNotFoundClasses

          public void testCachingOfNotFoundClasses()
                                            throws Exception

      Unit test for bug 3546093.
      Throws:
        `Exception` - any error

    - #### testCachingMemoryConsumption

          public void testCachingMemoryConsumption()
                                            throws Exception

      With this test you can verify, how much memory could be consumed by the dontBother cache.
      Throws:
        `Exception` - any error

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.